Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 01 Oct 2014, 21:05
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
Sigil
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
Dromeno

Joined: 12 Sep 2008
Posts: 538

PostPosted: Sat 25 Dec 2010, 04:16    Post_subject:  Sigil
Sub_title: eBook editor/reader
 

http://www.jedisaber.com/ebooks/editors.asp#Sigil

Sigil is a great open source mulltiplatform epub reader and editor. Other than fbook reader it supports table of contents, copying of text and even editing epub ebooks. But in Windows it is a bit slow, so it would be great if somebody could try to make a puppy version of it.
Back to top
View user's profile Send_private_message 
GustavoYz


Joined: 07 Jul 2010
Posts: 896
Location: .ar

PostPosted: Sat 25 Dec 2010, 04:58    Post_subject:  

There is a bin version to download... Do you try it?
_________________

Back to top
View user's profile Send_private_message 
Dromeno

Joined: 12 Sep 2008
Posts: 538

PostPosted: Sat 25 Dec 2010, 10:44    Post_subject: GLIBCXX_3.4.11 not found  

I tried it. In puppeee 1.o installation of the bin file is smooth but when I run sigil.sh in terminal I get:

/opt/sigil/sigil: /usr/libstdc++.so.6: version 'GLIBCXX_3.4.11' not found (required by /opt/sigil/sigil)

...so what's next?


sidenote: a working version of sigil is most likely best as sfs, it is a bit large for a pet
Back to top
View user's profile Send_private_message 
Dingo


Joined: 11 Dec 2007
Posts: 1419
Location: somewhere at the end of rainbow...

PostPosted: Sat 25 Dec 2010, 10:52    Post_subject:  

glibc version does not matches glibc version present in Puppy

it needs to be re-compiled from source

it needs qt4 libs
- http://www.jedisaber.com/ebooks/editors.asp#Sigil

Unfortunately, I don't have, at moment, qt4 and qt4-dev already compiled in order to try to build from source. Knows anyone if qt4 libs are available as binaries for Puppy?

it is a tedious task build qt4

_________________
replace .co.cc with .info to get access to stuff I posted in forum
dropbox 2GB free
OpenOffice for Puppy Linux
Back to top
View user's profile Send_private_message Visit_website 
Q5sys


Joined: 11 Dec 2008
Posts: 1067

PostPosted: Sat 25 Dec 2010, 15:40    Post_subject:  

Dingo wrote:
it is a tedious task build qt4


Tell me about it, it took me about 3 hours back when I did it this past April.
OP, You could try:
http://lhpup.org/team/Q5sys/qt-4.6.2.sfs
http://lhpup.org/team/Q5sys/qt-4.6.2.sfs-md5.txt
Its the full QT package though... hence its size.
Dont know if it'll work for you, but its worth a shot.

If its really needed I could compile the latest Qt 4.7.1 package and make it an SFS.

_________________



Back to top
View user's profile Send_private_message Visit_website 
stu90


Joined: 25 Feb 2010
Posts: 1401
Location: England. Dell Inspiron 1501. Dpup

PostPosted: Sun 26 Dec 2010, 10:58    Post_subject:  

Have you tried portable linux apps version of Sigil also Calibre on there as well.

http://portablelinuxapps.org/

Back to top
View user's profile Send_private_message 
Dingo


Joined: 11 Dec 2007
Posts: 1419
Location: somewhere at the end of rainbow...

PostPosted: Sun 26 Dec 2010, 11:03    Post_subject:  

apps from portableapps, only may have chance to work with Lupu series of Puppy
_________________
replace .co.cc with .info to get access to stuff I posted in forum
dropbox 2GB free
OpenOffice for Puppy Linux
Back to top
View user's profile Send_private_message Visit_website 
jemimah


Joined: 26 Aug 2009
Posts: 4309
Location: Tampa, FL

PostPosted: Mon 27 Dec 2010, 08:54    Post_subject:  

Sigil is available for Puppeee. Might work in other recent pups too.

http://puppeee.com/files/sfs/qt-4.7.1.sfs
http://puppeee.com/files/pet/sigil-0.3.2.pet
Back to top
View user's profile Send_private_message Visit_website 
Dromeno

Joined: 12 Sep 2008
Posts: 538

PostPosted: Tue 28 Dec 2010, 06:26    Post_subject: Just thanks  

Hey Jemimah thanx for making Sigil available, as well as a complete new set of Qt4. I wonder which programs which were not yet usable on puppy can be used now because of the latter!
Back to top
View user's profile Send_private_message 
jemimah


Joined: 26 Aug 2009
Posts: 4309
Location: Tampa, FL

PostPosted: Tue 28 Dec 2010, 19:22    Post_subject:  

Got a few Qt things I'm working on. Arora, MiniTube, MiniTunes, Vlc. What else is good do you think?
Back to top
View user's profile Send_private_message Visit_website 
Q5sys


Joined: 11 Dec 2008
Posts: 1067

PostPosted: Tue 28 Dec 2010, 23:00    Post_subject:  

jemimah wrote:
Got a few Qt things I'm working on. Arora, MiniTube, MiniTunes, Vlc. What else is good do you think?


Ive worked on getting Arora working on Puppy, even compiled it a few times but I end up getting Segfaults all the time. Tried stracing it but cant seem to narrow down the problem. I tried to use gdb to track it down but I dont know enough C to manage to work it out on my own. Hopefully you'll be able to manage. Midori would be awesome as well if you're looking for suggestions. Razz

_________________



Back to top
View user's profile Send_private_message Visit_website 
jemimah


Joined: 26 Aug 2009
Posts: 4309
Location: Tampa, FL

PostPosted: Wed 29 Dec 2010, 01:48    Post_subject:  

I think the latest Arora doesn't segfault too often but I've managed to freeze it once during my brief testing. I think webkit is quite buggy, is getting better slowly. http://puppeee.com/files/pet/arora-0.11.0-i486.pet

Midori is the default in Fluppy010. Try it out if you want. It's not rock-solid, but it mostly works. Webkitgtk-1.3.5 is the most stable version that will work with Midori 0.2.9. (and believe me I've tried them all).

Minitunes and Minitube are also neat, but these require Gstreamer so they'll only work in Fluppy010 or Puppeee 4.4beta6.

http://puppeee.com/files/pet/minitube-1.3.pet
http://puppeee.com/files/pet/minitunes-0.1.1.pet
Back to top
View user's profile Send_private_message Visit_website 
Dromeno

Joined: 12 Sep 2008
Posts: 538

PostPosted: Thu 30 Dec 2010, 07:41    Post_subject: more ideas for Jemimah  

I don't know if these Ubuntu programs do not work on puppy because of qt4 issues. But

Gourmet (recipe manager)

and

ghemical (chemistry package)

are on my wanted list. Especially Gourmet
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0668s ][ Queries: 12 (0.0052s) ][ GZIP on ]